/* @import url('https://fonts.googleapis.com/css?family=Hind|Roboto'); */

* {
    font-family: 'Hind', Verdana, Arial, "Trebuchet MS", 'Microsoft JhengHei', 'Microsoft YaHei', sans-serif;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    box-sizing: border-box;
}

body {
    margin: 0px;
    padding: 0px;
}

form {
    margin: 0;
}

*:focus {
    outline: none;
}

.unselectable {
    -webkit-touch-callout: none;
    /* iOS Safari */
    -webkit-user-select: none;
    /* Chrome/Safari/Opera */
    /* Konqueror */
    -moz-user-select: none;
    /* Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
    user-select: none;
    /* Non-prefixed version, currently
                                  not supported by any browser */
}

input[type=text],
input[type=password],
input[type=number] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 3px;
    border: 1px solid #CCCCCC;
    background-color: #FFFFFF;
    color: #000000;
    font-size: 14px;
    padding: 1px 5px;
}

input[type=radio],
input[type=checkbox] {
    vertical-align: middle;
}

input[type=radio]+label,
input[type=checkbox]+label {
    padding-left: 5px;
    vertical-align: middle;
    font-size: 14px;
    color: #333333;
}

a {
    color: #993366;
    text-decoration: underline;
}

a:hover {
    text-decoration: none;
}

select,
textarea {
    border-radius: 3px;
    border: 1px solid #CDCDCD;
    color: #444;
    background: #FFF;
    font-size: 14px;
}

textarea {
    width: 100%;
    min-height: 150px;
}

.pagination {
    list-style: none;
    padding: 0;
    margin-top: 20px;
}

.pagination>li {
    display: inline;
    margin-right: 5px;
}

.pagination>li>a,
.pagination>li>a:active,
.pagination>li>a:visited,
.pagination>li>a:link {
    text-decoration: none;
    background-color: #EDEDED;
    position: relative;
    font-size: 14px;
    padding: 2px 10px;
    color: #333333;
    font-weight: normal;
    border: 0;
    border-radius: 3px;
    float: none;
    margin: 0;
}

.pagination>li.active>a,
.pagination>li.active>a:active,
.pagination>li.active>a:visited,
.pagination>li.active>a:link,
.pagination>li.active>a:hover {
    background-color: #999999;
    color: #FFFFFF;
}

.pagination>li>a:hover {
    background-color: #DCDCDC;
    color: #444444;
}

.pagination>li.disabled {
    padding: 2px 10px;
}

.pagination>li>span {
    position: relative;
    border: 0;
    padding: 0;
    margin: 0;
    border-radius: 3px;
    float: none;
    margin: 0;
}

.breadcrumb {
    padding: 10px 0;
    margin: 0;
    list-style: none;
}

.breadcrumb li {
    display: inline-block;
    vertical-align: middle;
    padding-left: 5px;
    /* width: 100px; */
}

.breadcrumb li * {
    font-size: 13px;
    /* font-weight: bold; */
    font-weight: 500;
    color: #444444;
}

.breadcrumb li a {
    /* text-decoration: underline; */
    text-decoration: none;
}

.breadcrumb li:first-child {
    padding: 0;
}

.breadcrumb li:last-child * {
    color: #CC6600;
}

.breadcrumb li:first-child * {
    color: #444444;
}

.breadcrumb li::after {
    content: "";
    color: #444444;
    width: 6px;
    height: 10px;
    display: inline-block;
    vertical-align: middle;
    margin: 0 0 0 5px;
    padding: 0 5px;
    background-image: url(../images/arrow-grey.png);
    background-size: 6px 10px;
    background-repeat: no-repeat;
    background-position: center center;
}

.breadcrumb li:last-child::after {
    content: none;
}

.panel {
    margin: 10px 0;
    position: relative;
}

.panel>.header {
    font-family: 'Roboto', sans-serif;
    background-color: #666666;
    /* padding: 5px 50px; */
    color: #FFFFFF;
    font-size: 16px;
    text-align: left;
    font-weight: normal;
    position: absolute;
    top: 0;
    left: 0;
    padding: 10px 50px 10px 50px;
    min-width: 300px;
}

.panel>.content {
    background-color: #E8E8E8;
    padding: 60px 50px 25px 50px;
    font-size: 12px;
}

.panel .remove {
    position: absolute;
    top: 0;
    right: 0;
    font-size: 20px;
    color: #333;
    padding: 0 10px 0 0;
    cursor: pointer;
    text-decoration: none;
}

.panel .process>.remove {
    position: absolute;
    top: 0;
    right: 0;
    font-size: 16px;
    color: #333;
    padding: 0 10px 0 0;
    cursor: pointer;
    text-decoration: none;
}

.panel .sub-panel {
    padding: 10px 0;
    margin: 15px 0;
    position: relative;
    border-bottom: 1px solid #CDCDCD;
}

.panel .sub-panel:nth-of-type(1) {
    border-top: 1px solid #CDCDCD;
}

.panel .sub-panel>.title {
    color: #333;
    font-weight: bold;
    font-size: 15px;
    margin: 0 0 20px 0;
    border-bottom: 1px solid #cdcdcd;
    padding: 5px 0;
}

.panel .sub-panel>.content {}

.panel .sub-panel .non-fsc-hints {
    font-size: 14px;
    color: #b00;
    padding: 10px 0;
    text-align: center;
}

.sys-name span:nth-of-type(1) {
    color: #FFFFFF;
    /* font-weight: bold; */
    font-weight: 500;
    font-size: 25px;
}

.sys-name span:nth-of-type(2) {
    color: #ACC3B6;
    /* font-weight: bold; */
    font-weight: 500;
    font-size: 25px;
}

.top {
    background-color: #336949;
    width: 100%;
    min-width: 1260px;
}

.top .left {
    display: inline-block;
    width: 70%;
    vertical-align: middle;
}

.top .right {
    display: inline-block;
    vertical-align: middle;
    width: 30%;
    font-size: 16px;
    color: #fff;
    text-align: right;
    vertical-align: middle;
}

.top .right span {
    display: inline-block;
    vertical-align: middle;
    margin: 0 0 0 15px;
    font-family: Arial, "Trebuchet MS", 'Microsoft JhengHei', 'Microsoft YaHei', sans-serif;
    font-weight: bold;
    font-size: 14px;
}

.top .right img {
    vertical-align: middle;
}

.top .right a.logout {
    font-family: Arial, "Trebuchet MS", 'Microsoft JhengHei', 'Microsoft YaHei', sans-serif;
    text-decoration: none;
    padding: 0;
    position: relative;
    display: block;
    font-weight: bold;
    font-size: 14px;
    color: #FFFFFF;
}

.top .right a.logout::after {
    content: '';
    width: 6px;
    height: 10px;
    display: inline-block;
    margin: 0 0 0 5px;
    background-image: url(../images/arrow-white.png);
    background-size: cover;
    background-position: center center;
}

.middle {
    background-color: #DCDCDC;
    min-height: 110px;
    width: 100%;
    min-width: 1260px;
    margin: auto;
}

.container {
    min-width: 1260px;
    max-width: 1920px;
    width: 100%;
    padding: 0 40px;
    margin: 0 auto;
}

ul.main-menu,
.main-menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.main-menu>li {
    display: inline-block;
    width: 50%;
    margin: 0 0 40px 0;
    vertical-align: top;
}

ul.main-menu {
    margin: 0 auto;
    max-width: 1024px;
    width: 100%;
}

.main-menu>li>ul {
    padding: 0 0 0 30px;
    font-size: 16px;
    color: #666699;
}

.main-menu li>span.toggle {
    background-color: #c60;
    width: 21px;
    height: 21px;
    margin-right: 10px;
    display: inline-block;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.main-menu li>span.toggle {
    background-image: url(../images/toggle-suspend.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 11px 11px;
}

.main-menu li>span.toggle.hidden {
    background-image: url(../images/toggle-active.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 11px 11px;
}

.main-menu li>span.toggle+span+ul {
    display: block;
}

.main-menu li>span.toggle.hidden+span+ul {
    display: none;
}

.main-menu li>span {
    color: #444444;
    font-size: 16px;
    /* font-weight: bold; */
    font-weight: 500;

}

.main-menu>li>ul li {
    margin: 0 0 5px 0;
    position: relative;
}

.main-menu>li>ul li::before {
    /*     content: '>';
    position: absolute;
    font-size: 20px;
    color: #CC6600;
    top: -2px;
    bottom: 0;
    left: -20px; */
    content: '';
    width: 6px;
    height: 10px;
    display: inline-block;
    margin: 0 10px 0 0;
    background-image: url(../images/arrow-orange.png);
    background-size: cover;
    background-position: center center;
}

.main-menu a {
    color: #666699;
    text-decoration: underline;
    font-size: 16px;
}

.main-menu a:hover {
    text-decoration: none;
}

.main-content {
    margin: 0 auto;
    padding: 40px 0;
}

.search-view {
    border-bottom: 1px solid #CCC;
    padding: 0 0 25px 0;
}

.form-view .bottom-control,
.list-view .bottom-control {
    padding: 40px 0;
    text-align: center;
}

.form-view .top-control,
.list-view .top-control {
    padding: 10px 0;
}

.listTable {
    width: 100%;
    /* table-layout: fixed; */
    border-collapse: collapse;
}

table.listTable a {
    color: #993366;
}

table.listTable a:hover {
    text-decoration: none;
}

.listTable th.col-chk {
    width: 30px;
    vertical-align: middle;
}

.listTable th.col-control {
    width: 100px;
}

.listTable thead {
    /* border: 1px solid #CDCDCD; */
    border-bottom: 1px solid #CDCDCD;
}

.listTable tfoot {
    /* border: 1px solid #CDCDCD; */
    border-top: 1px solid #CDCDCD;
}

.listTable tbody {
    border-top: 1px solid #CDCDCD;
}

.listTable thead th,
.listTable thead td {
    vertical-align: top;
    font-size: 14px;
    color: #669;
    text-align: left;
    white-space: nowrap;
    padding: 0;
    font-weight: normal;
}

.listTable tfoot td,
.listTable tfoot td {
    vertical-align: top;
    font-size: 14px;
    color: #333;
    white-space: normal;
    padding: 10px 18px 6px 18px;
    text-align: center;
}

table.listTable thead th,
table.listTable thead td {
    /* border-bottom: 1px solid #069; */
    background-color: #eee;
    padding: 5px 6px;
}

table.listTable tfoot th,
table.listTable tfoot td {
    /* border-top: 1px solid #069; */
    background-color: #fff;
    padding: 5px 18px;
    text-align: left;
    /* border-bottom: 1px solid #069; */
}

.listTable tbody td input[type=checkbox] {
    vertical-align: middle;
}

.listTable tbody td {
    font-size: 14px;
    padding: 6px;
    color: #444;
    background-color: #fff;
    border: 0;
    text-align: left;
    font-weight: normal;
    white-space: nowrap;
    vertical-align: top;
}

.panel .listTable tbody td {
    vertical-align: top;
    background-color: #E8E8E8;
}

.panel .listTable tbody td {
    vertical-align: top;
    background-color: #E8E8E8;
}

.panel .listTable tbody.main-body,
.panel .listTable tbody.spacing-body {
    background-color: #E8E8E8;
    border: 0;
}

.panel .listTable tbody.spacing-body tr.spacing-row td,
.panel .listTable tbody.spacing-body tr.spacing-row:hover td {
    background: #E8E8E8;
    height: 25px;
}

.listTable .btn,
.panel .btn {
    font-size: 12px;
    font-weight: bold;
}

.panel table.listTable thead th,
.panel table.listTable thead td,
.panel table.listTable tfoot th,
.panel table.listTable tfoot td {
    background-color: #E8E8E8;
}

.listTable tbody tr:hover td {
    /* border-top: 1px solid #069; */
    background-color: #FAEFE5;
    /* border-bottom: 1px solid #069; */
}

.listTable tbody tr.spacing-row td,
.listTable tbody tr.spacing-row:hover td {
    background: #FFF;
    height: 25px;
}

.btn {
    border-radius: 3px;
    border: 0;
    padding: 0 15px;
    cursor: pointer;
    min-width: 90px;
    text-align: center;
    vertical-align: top;
    text-decoration: none;
    display: inline-block;
}

.btn.style-1 {
    background-color: #CC6600;
    color: #FFFFFF;
}

.btn.style-2 {
    /*  background-color: #999999;
 color: #FFFFFF;
 */
    background-color: #CC6600;
    color: #FFFFFF;
}

.btn.style-3 {
    /* background-color: #999999;
    color: #444444; */
    background-color: #CC6600;
    color: #FFFFFF;
}

.btn:hover {
    background-color: #999999;
    color: #FFFFFF;
}

.btn:active {
    background-color: #999999;
    color: #444444;
}

.label {
    color: #333;
    padding: 0 5px 0 0;
    margin: 0;
    font-size: 14px;
    vertical-align: top;
}

.form-table {
    width: 100%;
    table-layout: fixed;
}

.form-table tr td:nth-of-type(1) {
    width: 180px;
}

.form-table .label {
    color: #666699;
}

.form-table .label.required {
    position: relative;
}

.form-table .label.required::before {
    content: '*';
    position: absolute;
    top: 0;
    left: -10px;
    color: #666666;
}

.form-table .label.required {
    position: relative;
}

.form-table td {
    padding: 0 10px 5px 0;
    vertical-align: top;
    font-size: 14px;
    color: #444;
}

.ui-datepicker-trigger {
    padding: 0 0 0 5px;
    cursor: pointer;
    vertical-align: middle;
}

.msg-wrapper {
    color: #333;
    background-color: #CDC;
    border-radius: 2px;
    font-size: 16px;
    padding: 10px;
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    border: 1px solid #CDCDCD !important;
}

.select2-container .select2-selection--multiple {
    min-height: 38px !important;
}

.ajaxSearchResult {
    width: 100%;
    position: relative;
}

.ajaxSearchResult #searchresult {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    display: none;
    height: 300px;
    overflow: auto;
    background-color: white;
    border: 1px solid #a9a9a9;
    border-top: 0;
}

.ajaxSearchResult #searchresultcount {
    position: absolute;
    left: 0;
    right: 0;
    top: 300px;
    display: none;
    max-height: 300px;
    overflow: hidden;
    background-color: white;
    border: 1px solid #a9a9a9;
    border-top: 0;
}

.ajaxSearchResult .result {
    color: #000;
    padding: 5px;
    display: block;
    text-decoration: none;
}

.ajaxSearchResult .result:hover {
    background: #666699;
    color: #FFF;
}

.ajaxSearchResult .result.selected {
    cursor: default;
    background: #84849a;
    color: #FFF;
}

.ajaxSearchResult .msg {
    text-align: center;
    padding: 5px;
    color: #888;
}

.ajaxSearchResult #searchresultcount .msg {
    padding: 0;
}


/* #supplierTable
{
    text-align: center;
    margin: 0;
    width: 100%;
    table-layout: fixed;
}
#supplierTable th
{
    border-bottom: 1px solid;
    padding: 10px;
}
#supplierTable td
{
    padding: 10px;
    color: #000;
    border-bottom: 1px solid #888;
}
#supplierTable td a.remove-btn
{
    font-size: 16px;
}
#supplierTable tr:not(#supplierTableEmptyRow):hover td
{
    background: #cde5ff;
} */

.file-upload-detail-wrapper {
    display: block;
    padding: 10px 0;
}

.file-upload-detail-wrapper .preview-link {
    /* float: right; */
    vertical-align: middle;
    margin-left: 5px;
}

.file-upload-detail-wrapper .file-remove,
.ref_file_remove_btn {
    /* float: right; */
    vertical-align: middle;
    margin-left: 5px;
}

.report-table-wrapper {
    overflow: hidden;
    overflow-x: scroll;
}

.report-table {
    width: 100%;
    /* table-layout: fixed; */
    border-collapse: collapse;
}

.report-table thead {
    /* border: 1px solid #CDCDCD; */
    border-bottom: 1px solid #CDCDCD;
}

.report-table tfoot {
    /* border: 1px solid #CDCDCD; */
    border-top: 1px solid #CDCDCD;
}

.report-table tbody {
    border-top: 1px solid #CDCDCD;
}

.report-table thead th,
.report-table thead td {
    vertical-align: top;
    font-size: 14px;
    color: #669;
    text-align: left;
    white-space: normal;
    padding: 0;
    font-weight: bold;
}

.report-table tfoot td,
.report-table tfoot td {
    vertical-align: top;
    font-size: 14px;
    color: #333;
    white-space: normal;
    padding: 10px 18px 6px 18px;
    text-align: center;
}

table.report-table thead th,
table.report-table thead td {
    border: 1px solid #CDCDCD;
    background-color: #eee;
    vertical-align: middle;
    color: #333;
    white-space: nowrap;
    text-align: center;
    padding: 5px 6px;
}

table.report-table tfoot th,
table.report-table tfoot td {
    /* border-top: 1px solid #069; */
    background-color: #FFFFFF;
    text-align: left;
    padding: 5px 18px;
    /* border-bottom: 1px solid #069; */
}

.report-table tbody td {
    font-size: 14px;
    padding: 5px;
    color: #333;
    background-color: #FFFFFF;
    /*  border-top: 1px solid #FFFFFF;
    border-bottom: 1px solid #FFFFFF; */
    border: 1px solid #CDCDCD;
    text-align: left;
    font-weight: normal;
    /* white-space: normal; */
    white-space: nowrap;
    vertical-align: top;
}

.report-table tbody tr:hover td {
    /* border-top: 1px solid #069; */
    background-color: #FAEFE5;
    /* border-bottom: 1px solid #069; */
}

.report-view {
    border-top: 1px solid #CCC;
    padding: 40px 0 0 0;
}

.search {
    margin: 0 0 25px 0;
}

#product-out-record-list textarea {
    resize: vertical;
    width: 100%;
}

.file-upload-detail-wrapper a {
    display: inline-block;
    width: 20%;
}

.form-control {
    margin: 0 0 5px 0;
}

.form-control .label.required {
    position: relative;
}

.sub-panel.optional .form-control .label.required::before {
    content: '*';
    position: absolute;
    top: 0;
    left: -10px;
    color: #FF0000;
}

.sub-panel.optional .non-fsc-hints {
    display: block;
}

.sub-panel .non-fsc-hints {
    display: none;
}

.static-process-list .process {
    display: inline-block;
    width: 32.3%;
    min-height: 240px;
    position: relative;
    padding: 25px 30px;
    margin: 0 1.5% 30px 0;
    vertical-align: top;
    border: 1px solid #CDCDCD;
    background: #fee;
}

.static-process-list .process:nth-of-type(3n) {
    margin: 0 0 30px 0;
}

.process.static-process input[type=text],
.process.static-process input[type=number],
.process.static-process input[type=password] {
    width: 120px;
}

.addtional-process-list .process {
    display: inline-block;
    width: 49%;
    position: relative;
    position: relative;
    padding: 25px 30px;
    margin: 0 2% 30px 0;
    vertical-align: top;
    border: 1px solid #CDCDCD;
    background: #fee;
}

.addtional-process-list .process:nth-of-type(2n) {
    margin: 0 0 30px 0;
}

.addtional-process-list .process .process-desc {
    width: 100%;
}

.form-control .label.required::before {
    content: '*';
    position: absolute;
    top: 0;
    left: -10px;
    color: #666;
}

.form-control .label {
    width: 30%;
    color: #669;
}

.form-control .value {
    width: 70%;
    font-size: 14px;
    color: #444;
}

.form-control .label,
.form-control .value {
    display: inline-block;
    vertical-align: top;
}

.empty-form-control {
    height: 27px;
    margin: 0 0 5px 0;
}

.section-title {
    font-size: 18px;
    font-weight: bold;
    color: #669;
    margin: 0;
}

.sel-paper-ctr {
    width: 100%;
}

.add-process {
    position: absolute;
    right: 0;
    top: 15px;
}

.remove-process {
    position: absolute;
    top: 5px;
    right: 5px;
}


.existing-file-panel{
    padding: 5px;
}

.file-uploader-panel {
    padding: 5px;
    border: 1px solid #CDCDCD;
    background: #fee;
}


.existing-file-panel .existing-file,
.file-uploader-panel .file-list .file {
    padding: 0 0 10px 0;
}

.file-uploader-panel .file-list .file input[type=file]{
    display: none;
}

.existing-file-panel .existing-file .remove-existing-file,
.file-uploader-panel .file-list .file .remove-file {
    margin: 0 10px 0 0;
}

.file-uploader-panel .file-list .file .uploader{
    margin: 10px 0 0 0 0;
}
